commonmark-extensions-0.2.4: Pure Haskell commonmark parser.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Commonmark.Extensions.Superscript

# Documentation

class HasSuperscript a where #

Methods

superscript :: a -> a #

#### Instances

Instances details

HasSuperscript (Html a) # |
Instance details Defined in Commonmark.Extensions.Superscript Methods superscript :: Html a -> Html a #
(HasSuperscript i, Monoid i) => HasSuperscript (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Superscript Methods superscript :: WithSourceMap i -> WithSourceMap i #

superscriptSpec :: (Monad m, IsBlock il bl, IsInline il, HasSuperscript il) => SyntaxSpec m il bl #